// 1.2.1 : Concatenation et methode length  
console.log(
  "Il y a " + document.querySelectorAll(".block").length + " cartes."
);


// 1.2.3 : Gestion de l'ombrage des carte avec application de style 
let carte_hoover = document.querySelectorAll(".block");
for (let i = 0; i < carte_hoover.length; i++) {
  carte_hoover[i].classList.add("block");
}

// 1.2.4 : Gestion couleurs des themes 
let ColorCateg = document.querySelectorAll(".categorie");

function category(category) {
  if (category.innerText === "Intégration") { // si les texte est "Intégration" alors on lui donne la couleur verte 
    category.style.color = "green";
  } else if (category.innerText === "Développement web") {
    category.style.color = "blue";
  } else if (category.innerText === "Outils") {
    category.style.color = "red";
  }
}

for (let i = 0; i < ColorCateg.length; i++) { //lance la fonction dans une boucle pour que la couleur s'applique a toutes les cartes
  category(ColorCateg[i]);
}

// 1.3.1 et 1.3.2 : Menu JS 
var out = [];
let nav = document.createElement("nav");
nav.classList = "nav";



var l = document.querySelectorAll(".categorie");

function addbutton(categorie) {
  var btn = document.createElement("button");
  var h = document.createTextNode(categorie);
  btn.addEventListener("click", function () {
    // Boucle pour parcourir les cartes
    for (let i = 0; i < carte_hoover.length; i++) {
      // condition categorie 
      if (l[i].innerText === categorie) {
        // si correspondant on enleve le masque
        carte_hoover[i].classList.remove("hide");
      } else {
        // sinon on masque
        carte_hoover[i].classList.add("hide");
      }
    }
  });
  btn.appendChild(h);
  document.getElementById("bouton").appendChild(btn);
}



/*
//On ajoute les boutons par catégories
for (let i = 0; i < categorie.length; i++) {
  addbutton(categorie[i]);
}
*/
//1.3.3 : Bouton TOUS + Mode sombre et 1.4.1 : Survol du bouton sombre  et 1.4.2 : Activation du mode sombre 
var btn = document.createElement("button");

function lightmode() {
  var t = document.createTextNode("Toutes les cartes");
  btn.appendChild(t);
  document.getElementById("bouton").appendChild(btn);

  var light = document.createElement("BUTTON");
  var a = document.createTextNode("Activer le light mode");
  light.appendChild(a);
  document.getElementById("light_button").appendChild(light);

  light.addEventListener("mouseenter", (e) => {
    light.style.border = " 3px inset black"; //application de style au survol du bouton darkmode
  });
  light.addEventListener("mouseleave", (e) => { // efface le style quand on enleve la souris
    light.style.border = "";
  });

  var toggle = true,
    word;
  light.addEventListener("click", function () {
    document.querySelector("body").classList.toggle("light");

    word = toggle ? "Désactiver le" : "Activer le"; //ici le mot change apres un clique avec un boolean 
    toggle = toggle ? false : true;

    light.innerHTML = word + " Mode sombre";
  });
}

lightmode(); //on lance la fonction




// 1.4.3 : Filtrage des cartes Masquer les cartes ne correspondant pas au theme du menu selectionné 

function Hidebox() 
{
  nav.addEventListener
  ( 
    "click",
    function (e) 
    {
      if (e.target.localName !== "nav") 
      {
        var category_on = e.target.innerText;
        var carte = document.querySelectorAll(".block");

        for (let i = 0; i < carte.length; i++) 
        {
          if (carte[i].children[1].firstElementChild.innerText !== category_on) 
          {
            carte[i].classList.add("hide");
          } 
          else
          {
            carte[i].classList.remove("hide");
          }
        }
      }
    },
    true
  );

  btn.addEventListener("click", function () 
  {
    var carte = document.querySelectorAll(".block");
    for (let i = 0; i < carte.length; i++) 
    {
      carte[i].classList.remove("hide");
    }
  });
}


Hidebox();




